ClassInvariantLifecycle (Groovy 5.0.8)
Description: declaration: package: org.apache.groovy.contracts.common.impl.lc, class: ClassInvariantLifecycle

Package org.apache.groovy.contracts.common.impl.lc

# Class ClassInvariantLifecycle

java.lang.Object
org.apache.groovy.contracts.common.base.BaseLifecycle
org.apache.groovy.contracts.common.impl.lc.ClassInvariantLifecycle

All Implemented Interfaces:
  `Lifecycle`

public class ClassInvariantLifecycle extends BaseLifecycle
Internal `Lifecycle` implementation for class-invariants.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassInvariantLifecycle()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `afterProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)`
  `void`
  `afterProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)`

  ### Methods inherited from class org.apache.groovy.contracts.common.base.BaseLifecycle

  `afterProcessingClassNode, beforeProcessingClassNode, beforeProcessingConstructorNode, beforeProcessingMethodNode`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClassInvariantLifecycle

    public ClassInvariantLifecycle()

- ## Method Details

  - ### afterProcessingMethodNode

    public void afterProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)
    Specified by:
      `afterProcessingMethodNode` in interface `Lifecycle`
    Overrides:
      `afterProcessingMethodNode` in class `BaseLifecycle`

  - ### afterProcessingConstructorNode

    public void afterProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)
    Specified by:
      `afterProcessingConstructorNode` in interface `Lifecycle`
    Overrides:
      `afterProcessingConstructorNode` in class `BaseLifecycle`